Bug 655346

Summary: yum chokes
Product: [Fedora] Fedora Reporter: smithwhi
Component: PackageKitAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: james.antill, jonathan, katzj, richard, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 11:59:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description smithwhi 2010-11-20 16:06:45 UTC
Description of problem:
Error Type: <class 'yum.Errors.RepoError'>
Error Value: Error getting repository data for installed, repository not found
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3125, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3122, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 699, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 657, in dispatch_command
    self.update_packages(only_trusted, package_ids)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1948, in update_packages
    signed = self._is_package_repo_signed(pkg)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1437, in _is_package_repo_signed
    repo = self.yumbase.repos.getRepo(pkg.repoid)
  File : /usr/lib/python2.6/site-packages/yum/repos.py, line 125, in getRepo
    'Error getting repository data for $s, repository not found' $ (repoid)



Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1.
2.
3.
  
Actual results: updating grinds to a halt during collection of updates


Expected results: updates to be installed


Additional info:

Comment 1 Bug Zapper 2010-12-03 11:59:45 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.